/*  smplayer, GUI front-end for mplayer.
    Copyright (C) 2007 Ricardo Villalba <rvm@escomposlinux.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _MYACTIONGROUP_H_
#define _MYACTIONGROUP_H_

#include <QActionGroup>
#include "myaction.h"

class MyActionGroup;

class MyActionGroupItem : public MyAction
{
public:
	MyActionGroupItem( QObject * parent, MyActionGroup *group,
                       const QString & name, int data, bool autoadd = true );
};

class QAction;

class MyActionGroup : public QActionGroup
{
	Q_OBJECT

public:
	MyActionGroup ( QObject * parent );

	//! Sets the item ID checked
	void setChecked(int ID);

	//! Returns the ID of the item checked or -1 if none
	//! is checked
	int checked();

	//! Remove all items
	void clear();

signals:
	void activated(int);

protected slots:
	void itemTriggered(QAction *);
};

#endif
